/*
 * This file is generated by jOOQ.
 */
package de.ship.pia.emailcollector.jooq;


import de.ship.pia.emailcollector.jooq.tables.TPerson;
import de.ship.pia.emailcollector.jooq.tables.VVersion;

import java.util.Arrays;
import java.util.List;

import org.jooq.Catalog;
import org.jooq.Table;
import org.jooq.impl.SchemaImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Public extends SchemaImpl {

    private static final long serialVersionUID = 1L;

    /**
     * The reference instance of <code>public</code>
     */
    public static final Public PUBLIC = new Public();

    /**
     * The table <code>public.t_person</code>.
     */
    public final TPerson T_PERSON = TPerson.T_PERSON;

    /**
     * The table <code>public.v_version</code>.
     */
    public final VVersion V_VERSION = VVersion.V_VERSION;

    /**
     * No further instances allowed
     */
    private Public() {
        super("public", null);
    }


    @Override
    public Catalog getCatalog() {
        return DefaultCatalog.DEFAULT_CATALOG;
    }

    @Override
    public final List<Table<?>> getTables() {
        return Arrays.asList(
            TPerson.T_PERSON,
            VVersion.V_VERSION
        );
    }
}
